Funding Sources
Retrieve funding source balance
Returns the current balance for a specific funding source. For bank accounts, includes available and closing balances; for Dwolla balance, includes balance and total amounts; for settlement accounts (bankUsageType = card-network), includes available balance only. Supports bank accounts (via Open Banking), Dwolla balance (verified customers only), and settlement accounts for card network processing.
GET
/
funding-sources
/
{id}
/
balance
cURL
GET https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418/balance
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var fundingSourceUrl =
"https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418";
dwolla.get(`${fundingSourceUrl}/balance`).then((res) => res.body.balance.value);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'
funding_source = app_token.get('%s/balance' % funding_source_url)
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418';
$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);
$fundingSource = $fsApi->getBalance($fundingSourceUrl);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'
funding_source = app_token.get "#{funding_source_url}/balance"
{
"_links": {},
"balance": {
"value": "4616.87",
"currency": "USD"
},
"total": {
"value": "4616.87",
"currency": "USD"
},
"lastUpdated": "2017-04-18T15:20:25.880Z"
}{
"code": "notFound",
"message": "Funding source not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
ID of funding source to retrieve the balance for
Response
successful operation
- Dwolla Balance Response
- Bank Balance Response
- Settlement Account Balance Response
Response for retrieving balance of a Dwolla Balance funding source
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418/balance
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var fundingSourceUrl =
"https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418";
dwolla.get(`${fundingSourceUrl}/balance`).then((res) => res.body.balance.value);
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'
funding_source = app_token.get('%s/balance' % funding_source_url)
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418';
$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);
$fundingSource = $fsApi->getBalance($fundingSourceUrl);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'
funding_source = app_token.get "#{funding_source_url}/balance"
{
"_links": {},
"balance": {
"value": "4616.87",
"currency": "USD"
},
"total": {
"value": "4616.87",
"currency": "USD"
},
"lastUpdated": "2017-04-18T15:20:25.880Z"
}{
"code": "notFound",
"message": "Funding source not found."
}